petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetMaxLinearSolveFailures

gets the maximum number of linear solve failures that are allowed before SNES terminates

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetMaxLinearSolveFailures(SNES snes, PetscInt *maxFails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

maxFails -maximum of unsuccessful solves allowed

### Notes

By default this is 1; that is SNES returns on the first failed linear solve

### Keywords

SNES, nonlinear, get, maximum, unsuccessful, steps

### See Also

SNESGetLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(),

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages